* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
  }

  body{
    font-family: Verdana,sans-serif;
    font-size: 15px;
    line-height: 1.5;
    background-color: #55545444;
  }

  .topbar{
    display: flex;
    width: 100%;
    position: fixed;
    top: 0;
    background-color: rgba(255, 255, 255, 0.98);
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.8);
    z-index: 5;
    margin: 0;
    padding: 0;
  }

  .logo a{
    float: left;
    display: block;
    color: #000000;
    text-align: center;
    padding: 26px 26px;
    text-decoration: none;
    font-size: 12px;
  }

  .logo b{
    font-size: 18px;
    color: red;
  }

  .number{
    float: left;
    display: block;
    color: #000000;
    text-align: center;
    padding: 26px 26px;
    text-decoration: none;
    font-size: 12px;
  }

  .number a{
    color: red;
    text-decoration: none;
  }

  .pic-banner a{
    color: red;
    text-decoration: none;
  }


  .topnav{
    /* display: none; */
    overflow: hidden;
    align-items: center;
    width: 100%;
  }

.topnav a{
    float: right;
    display: block;
    color: #000000;
    text-align: center;
    padding: 26px 26px;
    text-decoration: none;
    font-size: 18px;
}

.topnav a:hover {
    background-color: #ddd;
    color: black;
  }

  #hamburger-menu{
    float: right;
    display: none;
    color: #000000;
    text-align: center;
    padding: 1rem;
    text-decoration: none;
    font-size: 1rem;
    width: 1rem;
    background-color: white;
    margin-left: auto;
    border-radius: 0.3rem;
 
  }

  .fa-bars{
    color: #000000;
  }

  .mobile-nav-wrapper{
    display: flex;
    /* margin-top: .05rem; */
    position: fixed;
    background-color: #000000c9;
    z-index: 100;
    border-radius: 0 0 0.5rem 0.5rem;
    width: 100%;
  }

  .mobile-nav{
    margin-left: auto;
    overflow: hidden;
    align-items: center;
    width: 100%; 
    display: none;
  }
    

  .mobile-nav a{
    float: right;
    display: block;
    color: #ffffff;
    text-align: center;
    padding: 0.5rem 0.5rem;
    text-decoration: none;
    font-size: 0.78rem;
  }

  .showcase{
    display: grid;
    margin: 0 10% 0 10%;
    gap: 0;
    overflow: hidden;
    grid-template-columns: repeat(4, 1fr);
    justify-items: center;
    text-align: center;
    align-items: center;
    /* padding: 1rem 1rem .1rem 1rem;  */
    position: relative;
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.8);
    border-radius: 0 0 .5rem .5rem 
  }

  .text-box{
    background-color: #000000cc;
    color: white;
    bottom: 0;
    left: 10;
    padding: 3rem 1rem 2rem 1rem;
    width: 100%;
    height: auto;
    font-weight: bolder;
    font-size: 1.4rem;
    border-radius: 0 0 .5rem .5rem 
  }

  .pca{
    position: absolute;
    bottom: 13%;
    z-index: 1;
  }

  .grid-container{
    display: grid;
    margin: 8.75vh 10% 0 10%;
    gap: 1.5rem;
    overflow: hidden;
    grid-template-columns: repeat(4, minmax(0px, 1fr)); 
    padding: 1rem;
  }

  .grid-col-span-2{
    grid-column: span 2;
  }

  .grid-col-span-4{
    grid-column: span 4;
  }

  .grid-col-span-3{
    grid-column: span 3;
  }

  .storefront{
    margin: 0;
    padding: 0;
    border: 0;
  }

  .storefront img{
    display: block;
    height: auto;
    width: 100%;
    /* border-radius: 0.4rem; */
    /* box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.8); */
    margin: 0;
  }

  .section-title{
    border-bottom: 1px solid rgba(128, 128, 128, 0.233);
    /* border-bottom: 1px solid red; */
    padding: 1rem 0 1rem 0;
    margin: 1rem 0 2rem 0;
    font-size: 24px;
    /* color: red; */
  }

  .services img{
    border-radius: 0.4rem;
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.8);
  }

  .pic-wrapper{
    position: relative;
    transition: transform .2s; /* Animation */
    /* padding: 0rem 1rem; */
  }

  .pic-wrapper img{
    height: 100%;
    width: 100%;
    overflow: hidden;
    /* border-radius: 0.4rem;
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.8); */
  }

  .pic-wrapper:hover{
    transform: scale(1.02); /* (150% zoom - Note: if the zoom is too large, it will go outside of the viewport) */
  }

  .bio{
    background-color: #ffffff;
    border-radius: 0.4rem;
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.8);
  }

  .bio img{
    border-radius: 0.4rem 0.4rem 0 0;
  }

  .bio-text{
    padding: 1rem;
    /* max-height: 500px; */
    width: 100%;
    min-width: 0px;
    overflow: hidden;
  }

  .text-box-2{
    position: absolute;
    background-color: #000000cc;
    color: white;
    top: 0;
    left: 0;
    padding: 8px 16px;
    border-radius: 0.4rem 0 0.4rem 0;
  }

  .text-box-2 h1{
    font-size: 15px;
  }

  .about-content{
    margin-bottom: 2rem;
  }

  .contact-wrapper{
    display: grid;
    margin: 0 10% 0 10%;
    gap: 1rem;
    overflow: hidden;
    grid-template-columns: repeat(2, 1fr);
    padding: 1rem;
    align-items: center;
    justify-items: center;
  }

  #hours{
    padding: 5rem;
    background-color: #000000ad;
    color: white;
    border-radius: 0.5rem;
  }

  footer{
    background-color: #000000;
    color: white;
    margin: 2rem 0 0 0;
    padding: 2rem 2rem 2rem 2rem;
    display: grid;
    gap: 1rem;
    grid-template-columns: repeat(4, 1fr);
    align-items: center;
    justify-items: center;
  }

  footer a{
    /* float: right; */
    display: block;
    color: #fff;
    text-align: center;
    /* padding: 26px 26px; */
    text-decoration: none;
    /* font-size: 18px; */
}

footer a:hover {
  background-color: #ddd;
  color: black;
}

  /*used css checkbox hack for read more/show more buttons*/
#ch1{
  display: none;
}

#ch1:checked ~ .c1{
  display: block;
}

#ch1:checked ~ label{
  display: none;
}

#ch1:checked ~ .show-text{
  display: none;
}

.c1{
  display: none;
}

  #ch2{
    display: none;
  }

  #ch2:checked ~ .c2{
    display: block;
  }
  
  #ch2:checked ~ label{
    display: none;
  }

  #ch2:checked ~ .show-text-2{
    display: none;
  }

  .c2{
    display: none;
  }

  #ch3{
    display: none;
  }

  #ch3:checked ~ .c3{
    display: block;
  }
  
  #ch3:checked ~ label{
    display: none;
  }

  #ch3:checked ~ .show-text-3{
    display: none;
  }

  .c3{
    display: none;
  }

  #ch4{
    display: none;
  }

  #ch4:checked ~ .c4{
    display: block;
  }
  
  #ch4:checked ~ label{
    display: none;
  }

  #ch4:checked ~ .show-text-4{
    display: none;
  }

  .c4{
    display: none;
  }

  label{
    display: inline-block;
    cursor: pointer;
    color: #fff;
    background-color: #000000;
    padding: 3px 13px;
    border-radius: 3px;
    margin-top: 12px;
  }

  .show-text{
    max-height: 260px;
    overflow: hidden;
  }

  .show-text-2{
    max-height: 260px;
    overflow: hidden;
  }

  .show-text-3{
    max-height: 260px;
    overflow: hidden;
  }

  .show-text-4{
    max-height: 260px;
    overflow: hidden;
  }

  @media only screen and (max-width: 1440px){
    .pca{
      position: absolute;
      bottom: 15%;
      z-index: 1;
    }

    /* .bio-text{
      padding: 1rem;
      max-height: 425px;
      width: 100%;
      min-width: 265px;
      overflow: hidden;
    } */

    /* .show-text{
      max-height: 350px;
      overflow: hidden;
    } */
  }

  @media only screen and (max-width: 1300px){
    .grid-container{
      display: grid;
      margin: 8.75vh 5% 0 5%;
      gap: 1.5rem;
      overflow: hidden;
      grid-template-columns: repeat(2, 1fr);
    }

    .grid-col-span-4{
      grid-column: span 2;
    }

    .grid-col-span-2{
      grid-column: span 1;
    }

    .showcase{
      display: grid;
      margin: 0;
      gap: 0;
      overflow: hidden;
      grid-template-columns: repeat(1, 1fr);
      justify-items: center;
      text-align: center;
      align-items: center;
      padding: 1rem 1rem .1rem 1rem; 
      position: relative;
    }
  }

  @media only screen and (max-width: 1029px){
    .text-box{
      background-color: #000000cc;
      color: white;
      padding: 3rem 1rem 2rem 1rem;
      width: 100%;
      height: auto;
      font-weight: bolder;
      font-size: 1.25rem;
    }

    #map{
      display: none;
    }

    .contact-wrapper{
      display: grid;
      margin: 0 10% 0 10%;
      gap: 1rem;
      overflow: hidden;
      grid-template-columns: repeat(1, 1fr);
      padding: 1rem;
      align-items: center;
      justify-items: center;
    }
  }

  @media only screen and (max-width: 915px){
    .grid-container{
      display: grid;
      margin: 8.75vh 5% 0 5%;
      gap: 1.5rem;
      overflow: hidden;
      grid-template-columns: repeat(2, 1fr);
    }

    .grid-col-span-4{
      grid-column: span 2;
    }

    .grid-col-span-2{
      grid-column: span 2;
    }

    .text-box{
      background-color: #000000cc;
      color: white;
      padding: 3rem 1rem 2rem 1rem;
      width: 100%;
      height: auto;
      font-weight: bolder;
      font-size: 0.95rem;
    }

    .pca{
      position: absolute;
      bottom: 15%;
      z-index: 1;
    }

    .pca img{
      width: 75px;
      height: 75px;
    }

    footer{
      grid-template-columns: repeat(2, 1fr);
    }

    .topnav a{
      float: right;
      display: block;
      color: #000000;
      text-align: center;
      padding: 20px 20px;
      text-decoration: none;
      font-size: 18px;
  }

    .number{
      float: left;
      display: block;
      color: #000000;
      text-align: center;
      padding: 20px 20px;
      text-decoration: none;
      font-size: 12px;
    }

  }

  @media only screen and (max-width: 850px){
    .topnav{
      display: none;
    }

    #hamburger-menu{
      display: block;
      padding: 2rem 2rem 2rem 0;
    }

    .mobile-nav-wrapper{
      display: flex;
      margin-top: 3.5rem; 
      position: fixed;
      background-color: #000000c9;
      z-index: 5;
      border-radius: 0 0 0.5rem 0.5rem;
      width: 100%;
    }

    .number{
      float: left;
      display: block;
      color: #000000;
      text-align: center;
      padding: 33px 0px;
      text-decoration: none;
      font-size: 12px;
    }

    .pca{
      position: absolute;
      bottom: 18%;
      z-index: 1;
    }
  }

  @media only screen and (max-width: 700px){
    .grid-container{
      display: grid;
      margin: 8.75vh 5% 0 5%;
      gap: 1.5rem;
      overflow: hidden;
      grid-template-columns: repeat(1, 1fr);
    }

    .grid-col-span-4{
      grid-column: span 1;
    }

    .storefront img{
      height: auto;
      width: 100%;
    }

    .pic-wrapper img{
      height: auto;
      width: 100%;
      overflow: hidden;
    }

    .grid-col-span-2{
      grid-column: span 1;
    }
  }

  @media only screen and (max-width: 700px){
    .grid-container{
      display: grid;
      margin: 1rem 5% 0 5%;
      gap: 1.5rem;
      overflow: hidden;
      grid-template-columns: repeat(1, 1fr);
    }

    .grid-col-span-4{
      grid-column: span 1;
    }

    .storefront img{
      height: auto;
      width: 100%;
    }

    .pic-wrapper img{
      height: auto;
      width: 100%;
      overflow: hidden;
    }

    .grid-col-span-2{
      grid-column: span 1;
    }

    .text-box{
      font-size: .95rem;
    }

    .pca{
      display: none;
    }

  }
  
  @media only screen and (max-width: 512px){
    .text-box{
      background-color: #000000cc;
      color: white;
      padding: 1rem 1rem 1rem 1rem;
      width: 100%;
      height: auto;
      font-weight: bolder;
      font-size: .8rem;
    }

    .contact-wrapper{
      display: grid;
      overflow: hidden;
      grid-template-columns: repeat(1, 1fr);
      align-items: center;
      justify-items: center;
      margin: 0 1rem 0 1rem;
      padding: 0;
    }

    #hours{
      padding: 0.5rem;
      background-color: #000000ad;
      color: white;
      border-radius: 0.5rem;
    }

    .showcase{
      display: grid;
      margin: 4rem 0 0 0;
      gap: 0;
      overflow: hidden;
      grid-template-columns: repeat(1, 1fr);
      justify-items: center;
      text-align: center;
      align-items: center;
      padding: 1rem 1rem .1rem 1rem; 
      position: relative;
    }

    .pca img{
      width: 35px;
      height: 35px;
      top 30%;
      z-index: 2;
      display: none;
    }

    .mobile-nav-wrapper{
      display: flex;
      margin-top: 0; 
      position: fixed;
      background-color: #000000c9;
      z-index: 5;
      border-radius: 0 0 0.5rem 0.5rem;
      width: 100%;
      top: 90px;
    }

    footer{
      grid-template-columns: repeat(1, 1fr);
    }
  }